commit 986c71c169378c0bdce41f02377699f29e4a3203
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Sep 18 16:17:28 2024 +0100

    libstdc++: Use constexpr instead of _GLIBCXX20_CONSTEXPR in <vector>
    
    For the operator<=> overload we can use the 'constexpr' keyword
    directly, because we know the language dialect is at least C++20.
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/stl_vector.h (operator<=>): Use constexpr
            instead of _GLIBCXX20_CONSTEXPR macro.
    
    (cherry picked from commit b6463161c3cd0b1f764697290d9569c7153b8a5b)

diff --git a/libstdc++-v3/include/bits/stl_vector.h b/libstdc++-v3/include/bits/stl_vector.h
index 31169711a48..b7ee6202525 100644
--- a/libstdc++-v3/include/bits/stl_vector.h
+++ b/libstdc++-v3/include/bits/stl_vector.h
@@ -2051,7 +2051,7 @@ _GLIBCXX_BEGIN_NAMESPACE_CONTAINER
     { return (__x.size() == __y.size()
 	      && std::equal(__x.begin(), __x.end(), __y.begin())); }
 
-#if __cpp_lib_three_way_comparison
+#if __cpp_lib_three_way_comparison // >= C++20
   /**
    *  @brief  Vector ordering relation.
    *  @param  __x  A `vector`.
@@ -2064,8 +2064,8 @@ _GLIBCXX_BEGIN_NAMESPACE_CONTAINER
    *  `<` and `>=` etc.
   */
   template<typename _Tp, typename _Alloc>
-    [[nodiscard]] _GLIBCXX20_CONSTEXPR
-    inline __detail::__synth3way_t<_Tp>
+    [[nodiscard]]
+    constexpr __detail::__synth3way_t<_Tp>
     operator<=>(const vector<_Tp, _Alloc>& __x, const vector<_Tp, _Alloc>& __y)
     {
       return std::lexicographical_compare_three_way(__x.begin(), __x.end(),

